CX
QUY DOI SYSTEM
2 3 4 5 6 7
Home / API Docs

24

25. Để xem chi tiết hơn, bạn có thể truy cập tài liệu Postman tại đây.

Lấy danh sách tiền tệ Máy chủ 1
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/currency
Query Parameters
Không yêu cầu Query Parameters
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/currency" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Lấy thông tin Quốc gia Máy chủ 1
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/country
Query Parameters
Không yêu cầu Query Parameters
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/country" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Tỷ giá đầy đủ theo tiền tệ Máy chủ 1
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/full_rate?money=vnd
Query Parameters
Key Type Example
money string vnd
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/full_rate?money=vnd" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Tỷ giá đầy đủ theo ngày Máy chủ 1
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/full_rate?money=usd&date=03/03/2026
Query Parameters
Key Type Example
money string usd
date string 03/03/2026
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/full_rate?money=usd&date=03/03/2026" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Chuyển đổi tiền tệ (Exchange) Máy chủ 1
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/exchange?value=100&money_from=vnd&money_to=usd&date=01/03/2026
Query Parameters
Key Type Example
value number 100
money_from string vnd
money_to string usd
date string 01/03/2026
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/exchange?value=100&money_from=vnd&money_to=usd&date=01/03/2026" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Tỷ giá đầy đủ (SV2) Máy chủ 2
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/sv2/rate_full?money=vnd
Query Parameters
Key Type Example
money string vnd
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/sv2/rate_full?money=vnd" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Chuyển đổi tiền tệ (SV2) Máy chủ 2
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/sv2/exchange?money_from=vnd&money_to=usd&value=22000
Query Parameters
Key Type Example
money_from string vnd
money_to string usd
value number 22000
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/sv2/exchange?money_from=vnd&money_to=usd&value=22000" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Tỷ giá Pro Pro
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/pro?money=vnd
Query Parameters
Key Type Example
money string vnd
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/pro?money=vnd" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Lấy Tỷ giá (SV3) Máy chủ 3
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/sv3/rate?money_from=VND&money_to=USD
Query Parameters
Key Type Example
money_from string VND
money_to string USD
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/sv3/rate?money_from=VND&money_to=USD" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Business: Danh sách tiền tệ Business
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/business/currencies
Query Parameters
Không yêu cầu Query Parameters
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/business/currencies" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Business: Tỷ giá Business
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/business/rate?money_from=usd&money_to=vnd
Query Parameters
Key Type Example
money_from string usd
money_to string vnd
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/business/rate?money_from=usd&money_to=vnd" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Business: Đa Tỷ giá Business
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/business/multi-rate?money_from=VND&money_to=USD,EUR,AUD
Query Parameters
Key Type Example
money_from string VND
money_to string USD,EUR,AUD
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/business/multi-rate?money_from=VND&money_to=USD,EUR,AUD" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Business: Chuyển đổi Business
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/business/convert?money_from=usd&money_to=vnd&amount=10
Query Parameters
Key Type Example
money_from string usd
money_to string vnd
amount number 10
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/business/convert?money_from=usd&money_to=vnd&amount=10" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Business: Tỷ giá đầy đủ Business
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/business/rate_full?money=USD
Query Parameters
Key Type Example
money string USD
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/business/rate_full?money=USD" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Business: Crypto Business Crypto
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/business/crypto
Query Parameters
Không yêu cầu Query Parameters
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/business/crypto" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400

                
Business: Crypto Rate All Business Crypto
POST
⚠️
Yêu cầu POST + Query Params
POST https://api.quydoi.com/v1/business/crypto/rate_all?money=BTC
Query Parameters
Key Type Example
money string BTC
Body (optional)
{}
cURL Example
curl -X POST "https://api.quydoi.com/v1/business/crypto/rate_all?money=BTC" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json"

Response 200 OK

            
Error: AUTH_REQUIRED 401

                
Error: INVALID_REQUEST 400